Bug 69957 - misspellings in ping(8) man page
misspellings in ping(8) man page
Product: Red Hat Linux
Classification: Retired
Component: iputils (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Phil Knirsch
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-07-26 16:47 EDT by Need Real Name
Modified: 2015-03-04 20:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-15 11:00:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-26 16:47:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.17 i686)

Description of problem:
Precedence is "precendence" and
prespecified is "preprecified" in the
ping(8) manpage (/usr/share/man/man8/ping.8.gz).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. log in
2. man ping
3. search for "Precendence" or "prepreci-fied"

Actual Results:  "precendence"

Expected Results:  "precedence"

Additional info:

I hope that covers it.
Comment 1 Need Real Name 2002-07-26 16:51:53 EDT
Diff of the output (sorry, didn't think to do this for the nroff until I had
already done this):

--- pingtxt     Thu Jul 25 04:07:41 2002
+++ badtxt.fixed       Thu Jul 25 04:08:10 2002
@@ -54,12 +54,12 @@
              be either decimal or hex number.  Traditionally (RFC1349), these
              have been interpreted as: 0 for reserved (currently being rede-
              fined as congestion control), 1-4 for Type of Service and 5-7 for
-             Precendence.  Possible settings for Type of Service are: minimal
+             Precedence.  Possible settings for Type of Service are: minimal
              cost: 0x02, reliability: 0x04, throughput: 0x08, low delay: 0x10.
              Multiple TOS bits should not be set simultaneously.  Possible
              settings for special Precedence range from priority (0x20) to net
              control (0xe0).  You must be root (CAP_NET_ADMIN capability) to
-             use Critical or higher precendence value.  You cannot set bit
+             use Critical or higher precedence value.  You cannot set bit
              0x01 (reserved) unless ECN has been enabled in the kernel.  In
              RFC2474, these fields has been redefined as 8-bit Differentiated
              Services (DS), consisting of: bits 0-1 of separate data (ECN will
@@ -91,13 +91,13 @@
      -T timestamp option
              Set special IP timestamp options.  Timestamp option may be either
              tsonly (only timestamps), tsandaddr (timestamps and addresses),
-             or tsprespec host1 [host2 [host3 [host 4]]] (timestamp prepreci-
+             or tsprespec host1 [host2 [host3 [host 4]]] (timestamp prespeci-
              fied hops).
      -M hint
              Select Path MTU Discovery strategy.  hint may be either do (pro-
              hibit fragmentation, even local one), want (do PMTU discovery,
-             fragment locally when packet size is large), or dont (do not set
+             fragment locally when packet size is large), or don't (do not set
              DF flag).
      -U      Print true user-to-user latency (the old behaviour).
Comment 2 Need Real Name 2002-07-26 19:59:03 EDT
I found one more small problem.
In the description for -M, "dont" is used instead of "don't".
Comment 3 Phil Knirsch 2003-05-15 11:00:05 EDT
Except of the "dont" case all bugs have been fixed upstream and have been
included in turn in the latest version of the iputils package.

I'll send out the other typo to the upstream maintainer.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.